| WideStudio Programming Guide | WideStudio Index Table of contents

> ## How to add the event procedure on the programs

> You can add the event procedure with the method: WSCbase::addProcedure().

> The method | Description
> addProcedure(char*,char*,char*) | Add the new event procedure.

> Add the event procedure as follows.

>     def _new_event_procedure(object):
>     # a sample of the event procedure.
>       return
>     mpfc.WSGFfunctionRegister("_new_event_procedure",_new_event_procedure)

>     def event_procedure(object):
>       # Create the procedure instance which name is "new proc".
>       # The trigger is  WSEV_MOUSE_IN (MOUSE_IN trigger.)
>       object.addProcedure("new-ep","_new_event_procedure",mpfc.WSEV_MOUSE_IN);
>       return
>     mpfc.WSGFfunctionRegister("event_procedure",event_procedure)

Document Release 3.70 for WideStudio ver 3.70, May 2004

WideStudio documents index | Table of contents

Copyright(C) WideStudio Development Team, 1999-2004 | Last modified: May 25, 2004